View Issue Details

IDProjectCategoryView StatusLast Update
14730Bug reports[All Projects] Survey designpublic2019-07-12 10:29
ReporterDenisChenu Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version4.0.0dev 
Target VersionFixed in Version4.0.0-RC2 
Summary14730: help-block not alert for attribute help
Description

See screenshot : help-block is better for help

Steps To Reproduce

See scrennshot

Additional Information

And why don't use https://getbootstrap.com/docs/3.3/javascript/#collapse like 3.X ?
Better for a11y

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0 github
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionnot relevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2019-04-03 16:13

developer  

markusfluer

markusfluer

2019-07-11 17:55

administrator   ~52850

I have now used the well design for the help text. It should be a visible eye anchor.
I've also applied the a11y fixes and applied aria attributes to the questionmark icon.

Pure bootstrap won't work inside a vuejs component.

DenisChenu

DenisChenu

2019-07-11 17:59

developer   ~52851

Pure bootstrap won't work inside a vuejs component.

Oh … shit it's a big helper …

DenisChenu

DenisChenu

2019-07-11 18:04

developer   ~52852

Last edited: 2019-07-11 18:04

View 2 revisions

@markusfluer : can‘t test …

[11-Jul-2019 16:01:19 UTC] PHP Fatal error:  require(): Failed opening required '/mnt/data/shnoulle/nginx/www/develop/third_party/composer/../symfony/polyfill-ctype/bootstrap.php' (include_path='.:/usr/share/pear:/usr/share/php') in /mnt/data/shnoulle/nginx/www/develop/third_party/composer/autoload_real.php on line 66
[11-Jul-2019 16:01:19 UTC] PHP Stack trace:
[11-Jul-2019 16:01:19 UTC] PHP   1. {main}() /mnt/data/shnoulle/nginx/www/develop/index.php:0
[11-Jul-2019 16:01:19 UTC] PHP   2. require_once() /mnt/data/shnoulle/nginx/www/develop/index.php:178
[11-Jul-2019 16:01:19 UTC] PHP   3. ComposerAutoloaderInitddb1a145e450f862353420acc5153e40::getLoader() /mnt/data/shnoulle/nginx/www/develop/third_party/autoload.php:7
[11-Jul-2019 16:01:19 UTC] PHP   4. composerRequireddb1a145e450f862353420acc5153e40() /mnt/data/shnoulle/nginx/www/develop/third_party/composer/autoload_real.php:56

Just do a git pull / git reset hard origin/develop

markusfluer

markusfluer

2019-07-11 18:08

administrator   ~52853

That has nochting to do with my code.
It has to do with php testing.
@ollehar: testing again?

DenisChenu

DenisChenu

2019-07-11 18:09

developer   ~52854

Maybe related

HEAD est maintenant à 96a4b17425 Dev: Updating composer files to --no-dev

ollehar

ollehar

2019-07-12 10:27

administrator   ~52857

Testing again what?

ollehar

ollehar

2019-07-12 10:29

administrator   ~52858

Oh yes, I messed up composer yesterday.

Issue History

Date Modified Username Field Change
2019-04-03 16:13 DenisChenu New Issue
2019-04-03 16:13 DenisChenu File Added: Capture d’écran du 2019-04-03 16-10-12.png
2019-07-11 12:05 cdorin Assigned To => markusfluer
2019-07-11 12:05 cdorin Status new => assigned
2019-07-11 17:55 markusfluer Status assigned => resolved
2019-07-11 17:55 markusfluer Resolution open => fixed
2019-07-11 17:55 markusfluer Fixed in Version => 4.0.0-RC2
2019-07-11 17:55 markusfluer Note Added: 52850
2019-07-11 17:59 DenisChenu Note Added: 52851
2019-07-11 18:04 DenisChenu Note Added: 52852
2019-07-11 18:04 DenisChenu Note Edited: 52852 View Revisions
2019-07-11 18:08 markusfluer Note Added: 52853
2019-07-11 18:09 DenisChenu Note Added: 52854
2019-07-12 10:27 ollehar Note Added: 52857
2019-07-12 10:29 ollehar Note Added: 52858